/**
 * @flow
 */
function progressEdit(payload: number) {
  return {
    type: 'hotUpdateLoading/progress',
    payload,
  }
}
function showDialog(payload: boolean) {
  return {
    type: 'hotUpdateLoading/showDialog',
    payload,
  };
}

function setPath(payload: string) {
  return {
    type: 'hotUpdateLoading/path',
    payload,
  };
}

function setHash(payload: string) {
  return {
    type: 'hotUpdateLoading/hash',
    payload,
  };
}

export default {
  progressEdit,
  showDialog,
  setPath,
  setHash,
};
